function [peaky,pozice,Ohraniceni,dBP] = FFThodnoty(x,fvz,~)
        ls=length(x); 
        x=x.*hanning(ls); %Násobení váhovacím oknem
        X=fft(x); %fft
        
        if nargin < 3
            P=abs(X)/ls;
        else
            P=abs(X); 
        end
        
        P=P(1:floor(ls/2)); %Jednostranné spektrum
        P(1:end)=2*P(1:end); %Úprava energie jednostranného spektra
        dBP=20*log10(P); %Modul
        %% Hledání fundamentu a vyšších harmonických
        [m,~]=max(dBP); %Nalezení nejintenzivnější harmonické, od které se
                        %odvine threshold pro hledání dalších harmonických
        HzKoef=ls/fvz; 
        Ohraniceni=round(50*HzKoef); %Omezení rozsahu pro hledání harmonických
        [~,F0]=findpeaks(dBP(Ohraniceni:end),'NPeaks',1,'MinPeakHeight',m-20); %Fundament
        F0=round(F0+Ohraniceni);
        % Dohledání vyšších harmonických
        [peaky,pozice]=findpeaks(dBP(F0-10:end),'MinPeakHeight',m-75,'MinPeakDistance',round(F0*0.95));
        pozice=pozice+F0-10-2;
        pozice=round(pozice/HzKoef);
end

